# Sane 1.0.1 Compilation errors with gimp 1.1.4

Steve Gunnell (steveg@ccis.adisys.com.au)
Wed, 07 Jul 1999 15:13:43 +0800

- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]
- Next message: Roland Genske: "Microtek Problems"
- Previous message: Steve Gunnell: "Sane 1.0.1 Compilation errors with gimp 1.1.4"

Sorry about the incomplete message - finger slippage.

Greetings all,

I have recently aquired a HP Photosmart scanner which I
am mating to my Linux (Suse 6.1) driven PC. Sane 1.0 came
with the Suse distribution and it mostly works. 8-)

I am trying to compile Sane 1.0.1 to get rid of a couple of
known bugs but I am getting an error during compilation of
xscanimage. I realise this is probably a Gimp problem but
this forum seemed a more likely source of work-arounds.

I know enough C to drive the GCC compiler and dignose basic
problems but this is beyond my syntax knowledge.

The error:

making all in frontend
make[1]: Entering directory `/opt/sane-1.0.1/frontend'
gcc -c -DHAVE_CONFIG_H -I. -I. -I../include -I../include
-I/usr/local/include -I/usr/lib/glib/include -I/usr/X11R6/include
-D_GNU_SOURCE -DPATH_SANE_CONFIG_DIR=/usr/local/etc/sane.d
-DPATH_SANE_DATA_DIR=/usr/local/share -DV_MAJOR=1 -DV_MINOR=0
-g -O2 -Wall xscanimage.c
In file included from xscanimage.c:60:
/usr/include/libgimp/gimp.h:49: parse error before `*'
/usr/include/libgimp/gimp.h:49: warning: data definition has no type or
storage class
xscanimage.c: In function `main':
xscanimage.c:1721: warning: passing arg 1 of `g_set_print_handler' from
incompatible pointer type
make[1]: *** [xscanimage.o] Error 1
make[1]: Leaving directory `/opt/sane-1.0.1/frontend'
make: *** [all-recursive] Error 1

gimp.h:

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

GIMPVAR guint gimp_major_version;
GIMPVAR guint gimp_minor_version;
GIMPVAR guint gimp_micro_version;
GIMPVAR GIOChannel *_readchannel; <----- Line 49

typedef struct _GPlugInInfo GPlugInInfo;
typedef struct _GTile GTile;
typedef struct _GDrawable GDrawable;
typedef struct _GPixelRgn GPixelRgn;
typedef struct _GParamDef GParamDef;
typedef struct _GParamColor GParamColor;
typedef struct _GParamRegion GParamRegion;
typedef union _GParamData GParamData;
typedef struct _GParam GParam;

Can anyone assist please?

Steve Gunnell

    --
    Source code, list archive, and docs: http://www.mostang.com/sane/
    To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

- Next message: Roland Genske: "Microtek Problems"
- Previous message: Steve Gunnell: "Sane 1.0.1 Compilation errors with gimp 1.1.4"